windowsProtectionState の更新
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
windowsProtectionState オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All, DeviceManagementManagedDevices.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/deviceManagementScripts/{deviceManagementScriptId}/deviceRunStates/{deviceManagementScriptDeviceStateId}/managedDevice/windowsProtectionState
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で 、windowsProtectionState オブジェクトの JSON 表記を指定します。
次の表に 、windowsProtectionState を作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| id | String | デバイス保護状態オブジェクトの一意の識別子。 これは、デバイスのデバイス ID です。 |
| malwareProtectionEnabled | ブール型 | マルウェア対策が有効になっているか、有効になっていないか |
| deviceState | windowsDeviceHealthState | コンピューターの状態 (クリーンまたは保留中のフル スキャンや保留中の再起動など)。 使用可能な値: clean、fullScanPending、rebootPending、manualStepsPending、offlineScanPending、critical。 |
| realTimeProtectionEnabled | ブール型 | リアルタイム保護が有効になっているか、有効になっていないか。 |
| networkInspectionSystemEnabled | ブール型 | ネットワーク検査システムが有効になっているか、有効になっていないか。 |
| quickScanOverdue | ブール型 | クイック スキャンの実行時間が過ぎたか |
| fullScanOverdue | ブール型 | フル スキャンの時間が過ぎたか、 |
| signatureUpdateOverdue | ブール型 | 署名が最新ではないか? |
| rebootRequired | ブール型 | 再起動が必要か、再起動しないか。 |
| fullScanRequired | ブール型 | フル スキャンが必要か、 |
| engineVersion | String | 現在のエンドポイント保護エンジンのバージョン |
| signatureVersion | String | 現在のマルウェア定義のバージョン |
| antiMalwareVersion | String | 現在のマルウェア対策バージョン |
| lastQuickScanDateTime | DateTimeOffset | 最終クイック スキャンの日時 |
| lastFullScanDateTime | DateTimeOffset | 最終クイック スキャンの日時 |
| lastQuickScanSignatureVersion | String | 最後のクイック スキャン署名バージョン |
| lastFullScanSignatureVersion | String | 最後のフル スキャン署名バージョン |
| lastReportedDateTime | DateTimeOffset | 最後のデバイスの正常性状態の報告時間 |
| productStatus | windowsDefenderProductStatus | [製品の状態] Windows Defender ウイルス対策。 使用できる値は noStatus serviceNotRunning 、、 、 serviceStartedWithoutMalwareProtection 、 pendingFullScanDueToThreatAction pendingRebootDueToThreatAction pendingManualStepsDueToThreatAction avSignaturesOutOfDate asSignaturesOutOfDate noQuickScanHappenedForSpecifiedPeriod noFullScanHappenedForSpecifiedPeriod systemInitiatedScanInProgress systemInitiatedCleanInProgress samplesPendingSubmission productRunningInEvaluationMode productRunningInNonGenuineMode productExpired offlineScanRequired serviceShutdownAsPartOfSystemShutdown threatRemediationFailedCritically threatRemediationFailedNonCritically noStatusFlagsSet platformOutOfDate platformUpdateInProgress platformAboutToBeOutdated signatureOrPlatformEndOfLifeIsPastOrIsImpending です windowsSModeSignaturesInUseOnNonWin10SInstall 。 |
| isVirtualMachine | ブール型 | デバイスが仮想マシンであるかどうかを示します。 |
| tamperProtectionEnabled | ブール型 | 改ざん防止機能Windows Defender有効かどうかを示します。 |
応答
成功した場合、このメソッドは応答コードと、応答本文で 200 OK 更新された windowsProtectionState オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceManagement/deviceManagementScripts/{deviceManagementScriptId}/deviceRunStates/{deviceManagementScriptDeviceStateId}/managedDevice/windowsProtectionState
Content-type: application/json
Content-length: 971
{
"@odata.type": "#microsoft.graph.windowsProtectionState",
"malwareProtectionEnabled": true,
"deviceState": "fullScanPending",
"realTimeProtectionEnabled": true,
"networkInspectionSystemEnabled": true,
"quickScanOverdue": true,
"fullScanOverdue": true,
"signatureUpdateOverdue": true,
"rebootRequired": true,
"fullScanRequired": true,
"engineVersion": "Engine Version value",
"signatureVersion": "Signature Version value",
"antiMalwareVersion": "Anti Malware Version value",
"lastQuickScanDateTime": "2016-12-31T23:58:27.5900669-08:00",
"lastFullScanDateTime": "2017-01-01T00:01:44.9405639-08:00",
"lastQuickScanSignatureVersion": "Last Quick Scan Signature Version value",
"lastFullScanSignatureVersion": "Last Full Scan Signature Version value",
"lastReportedDateTime": "2017-01-01T00:00:17.7769392-08:00",
"productStatus": "serviceNotRunning",
"isVirtualMachine": true,
"tamperProtectionEnabled": true
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1020
{
"@odata.type": "#microsoft.graph.windowsProtectionState",
"id": "1ac6ea5a-ea5a-1ac6-5aea-c61a5aeac61a",
"malwareProtectionEnabled": true,
"deviceState": "fullScanPending",
"realTimeProtectionEnabled": true,
"networkInspectionSystemEnabled": true,
"quickScanOverdue": true,
"fullScanOverdue": true,
"signatureUpdateOverdue": true,
"rebootRequired": true,
"fullScanRequired": true,
"engineVersion": "Engine Version value",
"signatureVersion": "Signature Version value",
"antiMalwareVersion": "Anti Malware Version value",
"lastQuickScanDateTime": "2016-12-31T23:58:27.5900669-08:00",
"lastFullScanDateTime": "2017-01-01T00:01:44.9405639-08:00",
"lastQuickScanSignatureVersion": "Last Quick Scan Signature Version value",
"lastFullScanSignatureVersion": "Last Full Scan Signature Version value",
"lastReportedDateTime": "2017-01-01T00:00:17.7769392-08:00",
"productStatus": "serviceNotRunning",
"isVirtualMachine": true,
"tamperProtectionEnabled": true
}
フィードバック
フィードバックの送信と表示